Kwalitee Issues

has_human_readable_license

Add a section called "LICENSE" to the documentation, or add a file named LICENSE to the distribution.

has_license_in_source_file

Add =head1 LICENSE and the text of the license to the main module in your code.

meta_yml_conforms_to_known_spec

Take a look at the META.yml Spec at http://module-build.sourceforge.net/META-spec-v1.4.html (for version 1.4) or http://search.cpan.org/perldoc?CPAN::Meta::Spec (for version 2), and change your META.yml accordingly.

Error: Expected a map structure from string or file. (requires) [Validation: 1.0]

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Carp
  • Exporter
  • FileHandle
  • IO::Socket
  • Socket
  • strict
  • vars

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: X11::Keysyms

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.01,0.02,0.05,0.56

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

has_tests_in_t_dir

Add tests or move tests.pl to the t/ directory!

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

proper_libs

Move your *.pm files in a directory named 'lib'. The directory structure should look like 'lib/Your/Module.pm' for a module named 'Your::Module'. If you need to provide additional files, e.g. for testing, that should not be considered for Kwalitee, then you should look at the 'provides' map in META.yml to limit the files scanned; or use the 'no_index' map to exclude parts of the distribution.

Error: Auth.pm, Keysyms.pm, Protocol.pm, Protocol/Connection.pm, Protocol/Connection/FileHandle.pm, Protocol/Connection/INETFH.pm, Protocol/Connection/INETSocket.pm, Protocol/Connection/Socket.pm, Protocol/Connection/UNIXFH.pm, Protocol/Connection/UNIXSocket.pm, Protocol/Constants.pm, Protocol/Ext/BIG_REQUESTS.pm, Protocol/Ext/DPMS.pm, Protocol/Ext/RENDER.pm, Protocol/Ext/SHAPE.pm, Protocol/Ext/XC_MISC.pm, Protocol/Ext/XFree86_Misc.pm

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: X11::Auth, X11::Keysyms, X11::Protocol, X11::Protocol::Connection, X11::Protocol::Connection::FileHandle, X11::Protocol::Connection::INETFH, X11::Protocol::Connection::INETSocket, X11::Protocol::Connection::Socket, X11::Protocol::Connection::UNIXFH, X11::Protocol::Connection::UNIXSocket, X11::Protocol::Constants, X11::Protocol::Ext::BIG_REQUESTS, X11::Protocol::Ext::DPMS, X11::Protocol::Ext::RENDER, X11::Protocol::Ext::SHAPE, X11::Protocol::Ext::XC_MISC, X11::Protocol::Ext::XFree86_Misc

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
X11::Auth Perl module to read X11 authority files 0.05 metacpan
X11::Keysyms Perl module for names of X11 keysyms 0.01 metacpan
X11::Protocol Perl module for the X Window System Protocol, version 11 0.56 metacpan
X11::Protocol::Connection Perl module abstract base class for X11 client to server connections 0.01 metacpan
X11::Protocol::Connection::FileHandle Perl module base class for FileHandle-based X11 connections 0.02 metacpan
X11::Protocol::Connection::INETFH Perl module for FileHandle-based TCP/IP X11 connections 0.01 metacpan
X11::Protocol::Connection::INETSocket Perl module for IO::Socket::INET-based X11 connections 0.01 metacpan
X11::Protocol::Connection::Socket Perl module base class for IO::Socket-based X11 connections 0.02 metacpan
X11::Protocol::Connection::UNIXFH Perl module for FileHandle-based Unix-domain X11 connections 0.01 metacpan
X11::Protocol::Connection::UNIXSocket Perl module for IO::Socket::UNIX-based X11 connections 0.01 metacpan
X11::Protocol::Constants 0.01 metacpan
X11::Protocol::Ext::BIG_REQUESTS Perl module for the X11 protocol Big Requests extension 0.01 metacpan
X11::Protocol::Ext::DPMS Perl module for the X11 Protocol DPMS Extension 0.01 metacpan
X11::Protocol::Ext::RENDER Perl module for the X Rendering Extension 0.01 metacpan
X11::Protocol::Ext::SHAPE Perl module for the X11 Protocol Nonrectangular Window Shape Extension 0.01 metacpan
X11::Protocol::Ext::XC_MISC Perl module for the X11 Protocol XC-MISC Extension 0.01 metacpan
X11::Protocol::Ext::XFree86_Misc 0.01 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan